create or replace PROCEDURE test_procs IS 

  IS_OK INTEGER;
  pais_id INTEGER;
  temporada_id INTEGER;
  equipo1_id INTEGER;
  equipo2_id INTEGER;
  equipo_liga1_id INTEGER;
  equipo_liga2_id INTEGER;
  liga_id INTEGER;
  jugador1_id INTEGER;
  jugador2_id INTEGER;
  fichaje1_id INTEGER;
  fichaje2_id INTEGER;
  partido_id INTEGER;
  alineacion1_id INTEGER;
  alineacion2_id INTEGER;
  gol1_id INTEGER;
  gol2_id INTEGER;
  
  usuario_id INTEGER;
  apuesta_id INTEGER;
  
BEGIN
  pais_id := alta_pais('FRANCIA'); 
  dbms_output.put_line('Pas: ' || pais_id);
  
  temporada_id := alta_temporada('TEMPORADA 2012-2013'); 
  dbms_output.put_line('Temporada: ' || temporada_id);
  
  liga_id := alta_liga('LIGA DE FRANCIA', pais_id);
  dbms_output.put_line('liga: ' || liga_id);
  
  equipo1_id := alta_equipo('PARIS SG');
  dbms_output.put_line('Equipo1: ' || equipo1_id);
  
  equipo2_id := alta_equipo('OlYMPIQUE DE LION');
  dbms_output.put_line('Equipo2: ' || equipo2_id);
  
  equipo_liga1_id := alta_equipo_liga(equipo1_id, liga_id, temporada_id);
  dbms_output.put_line('Equipo_liga1: ' || equipo_liga1_id);
  
  equipo_liga2_id := alta_equipo_liga(equipo2_id, liga_id, temporada_id);
  dbms_output.put_line('Equipo_liga2: ' || equipo_liga2_id);
  
  jugador1_id := alta_jugador('THIAGO SILVA');
  dbms_output.put_line('Jugador1: ' || jugador1_id);
  
  jugador2_id := alta_jugador('ClEMENT GRENIER');
  dbms_output.put_line('Jugador2: ' || jugador2_id);
  
  fichaje1_id := alta_fichaje(equipo1_id,jugador1_id,to_date('01/01/2012','dd/mm/yyyy'));
  dbms_output.put_line('Fichaje1: ' || fichaje1_id);
  
  fichaje2_id := alta_fichaje(equipo2_id,jugador2_id,to_date('02/02/2012','dd/mm/yyyy'));
  dbms_output.put_line('Fichaje2: ' || fichaje2_id);
  
  partido_id := alta_partido(to_date('10/03/2012','dd/mm/yyyy'), liga_id, temporada_id, equipo_liga1_id, equipo_liga2_id);
  dbms_output.put_line('Partido: ' || partido_id);
  
  alineacion1_id := alta_alineacion(partido_id, jugador1_id, equipo1_id);
  dbms_output.put_line('Alineacion1: ' || alineacion1_id);
  
  alineacion2_id := alta_alineacion(partido_id, jugador2_id, equipo2_id);
  dbms_output.put_line('Alineacion2: ' || alineacion2_id);
  
  gol1_id := alta_gol(partido_id, jugador1_id, 1 );
  dbms_output.put_line('Gol1: ' || gol1_id);
  
  gol2_id := alta_gol(partido_id, jugador2_id, 2 );
  dbms_output.put_line('Gol2: ' || gol2_id);
  
  usuario_id := alta_usuario('USUARIO TEST','LOCALIDAD TEST',to_date('10/02/1975','dd/mm/yyyy') );
  dbms_output.put_line('Usuario: ' || usuario_id);
  
  apuesta_id := alta_apuesta(usuario_id, 1, partido_id,null, null,null,null,null, 'V', 200);
  dbms_output.put_line('Apuesta: ' || apuesta_id);
  
  IS_OK := baja_apuesta(apuesta_id);
  dbms_output.put_line('Baja apuesta: ' || IS_OK);
  
  IS_OK := baja_usuario(usuario_id);
  dbms_output.put_line('Baja usuario: ' || IS_OK);
  
  IS_OK := baja_gol(gol1_id);
  dbms_output.put_line('Baja gol 1: ' || IS_OK);
  
  IS_OK := baja_gol(gol2_id);
  dbms_output.put_line('Baja gol 2: ' || IS_OK);
   
  IS_OK := baja_alineacion(alineacion1_id);
  dbms_output.put_line('Baja alineacion 1: ' || IS_OK);
  
  IS_OK := baja_alineacion(alineacion2_id);
  dbms_output.put_line('Baja alineacion 2: ' || IS_OK);
  
  IS_OK := baja_partido(partido_id);
  dbms_output.put_line('Baja partido: ' || IS_OK);
  
  IS_OK := baja_fichaje(fichaje1_id);
  dbms_output.put_line('Baja fichaje 1: ' || IS_OK);
  
  IS_OK := baja_fichaje(fichaje2_id);
  dbms_output.put_line('Baja fichaje 2: ' || IS_OK);
  
  IS_OK := baja_jugador(jugador1_id);
  dbms_output.put_line('Baja jugador 1: ' || IS_OK);
  
  IS_OK := baja_jugador(jugador2_id);
  dbms_output.put_line('Baja jugador 2: ' || IS_OK);
  
  IS_OK := baja_equipo_liga(equipo_liga1_id);
  dbms_output.put_line('Baja equipo-liga 1: ' || IS_OK);
  
  IS_OK := baja_equipo_liga(equipo_liga2_id);
  dbms_output.put_line('Baja equipo-liga 2: ' || IS_OK);
  
  IS_OK := baja_equipo(equipo1_id);
  dbms_output.put_line('Baja equipo 1: ' || IS_OK);
  
  IS_OK := baja_equipo(equipo2_id);
  dbms_output.put_line('Baja equipo 2: ' || IS_OK);
  
  IS_OK := baja_liga(liga_id);
  dbms_output.put_line('Baja liga: ' || IS_OK);
  
  IS_OK := baja_temporada(temporada_id);
  dbms_output.put_line('Baja temporada: ' || IS_OK);
  
  IS_OK := baja_pais(pais_id);
  dbms_output.put_line('Baja pais: ' || IS_OK);
  
END test_procs;