--------------------------------------------------------
--  Constraints for Table APUESTAS_F
--------------------------------------------------------

  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("id_parametros" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("fecha_id" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("id_usuario" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "base" PRIMARY KEY ("id_usuario", "fecha_id", "id_parametros", "id_jornada")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("importe" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("id_ganadora" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("id_rango" NOT NULL ENABLE);
  ALTER TABLE "DW"."APUESTAS_F" MODIFY ("id_jornada" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table FECHAS_D
--------------------------------------------------------

  ALTER TABLE "DW"."FECHAS_D" ADD CONSTRAINT "fecha_id" PRIMARY KEY ("fecha_id")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("anyo" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("mes" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("mesid" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("semana" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("semanaid" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("fecha" NOT NULL ENABLE);
  ALTER TABLE "DW"."FECHAS_D" MODIFY ("fecha_id" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table GANADORA_D
--------------------------------------------------------

  ALTER TABLE "DW"."GANADORA_D" ADD CONSTRAINT "id_ganadora" PRIMARY KEY ("id_ganadora")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."GANADORA_D" MODIFY ("desc_ganadora" NOT NULL ENABLE);
  ALTER TABLE "DW"."GANADORA_D" MODIFY ("id_ganadora" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table JORNADAS_D
--------------------------------------------------------

  ALTER TABLE "DW"."JORNADAS_D" ADD CONSTRAINT "id_jornada" PRIMARY KEY ("id_jornada")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("nombre_equipo_visitante" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("id_equipo_visitante" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("nombre_equipo_local" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("id_euipo_local" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("nombre_liga" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("id_liga" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("nombre_temporada" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("id_temporada" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("fecha_jornada" NOT NULL ENABLE);
  ALTER TABLE "DW"."JORNADAS_D" MODIFY ("id_jornada" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PARAMETROS_D
--------------------------------------------------------

  ALTER TABLE "DW"."PARAMETROS_D" ADD CONSTRAINT "id_parametros" PRIMARY KEY ("id_parametros")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."PARAMETROS_D" MODIFY ("jornada_partido" NOT NULL ENABLE);
  ALTER TABLE "DW"."PARAMETROS_D" MODIFY ("id_partido" NOT NULL ENABLE);
  ALTER TABLE "DW"."PARAMETROS_D" MODIFY ("modalidad" NOT NULL ENABLE);
  ALTER TABLE "DW"."PARAMETROS_D" MODIFY ("id_modalidad" NOT NULL ENABLE);
  ALTER TABLE "DW"."PARAMETROS_D" MODIFY ("id_parametros" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table RANGOS_EDAD
--------------------------------------------------------

  ALTER TABLE "DW"."RANGOS_EDAD" ADD CONSTRAINT "id_rango" PRIMARY KEY ("id_rango")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."RANGOS_EDAD" MODIFY ("edad_hasta" NOT NULL ENABLE);
  ALTER TABLE "DW"."RANGOS_EDAD" MODIFY ("edad_desde" NOT NULL ENABLE);
  ALTER TABLE "DW"."RANGOS_EDAD" MODIFY ("id_rango" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table USUARIOS_D
--------------------------------------------------------

  ALTER TABLE "DW"."USUARIOS_D" ADD CONSTRAINT "id_usuario" PRIMARY KEY ("id_usuario")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM"  ENABLE;
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("nombre_c_autonoma" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("id_c_autonoma" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("nombre_provincia" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("id_provincia" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("nombre_localidad" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("id_localidad" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("nombre" NOT NULL ENABLE);
  ALTER TABLE "DW"."USUARIOS_D" MODIFY ("id_usuario" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table APUESTAS_F
--------------------------------------------------------

  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "fecha_apuestas" FOREIGN KEY ("fecha_id")
	  REFERENCES "DW"."FECHAS_D" ("fecha_id") ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "ganadora_apuestas" FOREIGN KEY ("id_ganadora")
	  REFERENCES "DW"."GANADORA_D" ("id_ganadora") ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "jornada-apuestas" FOREIGN KEY ("id_jornada")
	  REFERENCES "DW"."JORNADAS_D" ("id_jornada") ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "parametros_apuestas" FOREIGN KEY ("id_parametros")
	  REFERENCES "DW"."PARAMETROS_D" ("id_parametros") ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "rangos_edad-apuestas" FOREIGN KEY ("id_rango")
	  REFERENCES "DW"."RANGOS_EDAD" ("id_rango") ENABLE;
  ALTER TABLE "DW"."APUESTAS_F" ADD CONSTRAINT "usuario_apuestas" FOREIGN KEY ("id_usuario")
	  REFERENCES "DW"."USUARIOS_D" ("id_usuario") ENABLE;
