--------------------------------------------------------
--  DDL for Table APUESTAS_F
--------------------------------------------------------

  CREATE TABLE "DW"."APUESTAS_F" 
   (	"id_usuario" NUMBER(*,0), 
	"fecha_id" NUMBER(*,0), 
	"id_parametros" NUMBER(*,0), 
	"id_jornada" NUMBER(*,0), 
	"id_rango" NUMBER(*,0), 
	"id_ganadora" NUMBER(*,0), 
	"importe" FLOAT(126)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON TABLE "DW"."APUESTAS_F"  IS 'Importe de la apuesta';
--------------------------------------------------------
--  DDL for Table FECHAS_D
--------------------------------------------------------

  CREATE TABLE "DW"."FECHAS_D" 
   (	"fecha_id" NUMBER(*,0), 
	"fecha" DATE, 
	"semanaid" NUMBER(*,0), 
	"semana" NUMBER(*,0), 
	"mesid" NUMBER(*,0), 
	"mes" CHAR(10 BYTE), 
	"anyo" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."FECHAS_D"."fecha_id" IS 'identificador de la fecha';
   COMMENT ON COLUMN "DW"."FECHAS_D"."fecha" IS 'fecha de la apuesta';
   COMMENT ON COLUMN "DW"."FECHAS_D"."semanaid" IS 'identificador de la semana formato añosemana';
   COMMENT ON COLUMN "DW"."FECHAS_D"."semana" IS 'número de la semana dentro del año';
   COMMENT ON COLUMN "DW"."FECHAS_D"."mesid" IS 'identificador del mes formato añomes';
   COMMENT ON COLUMN "DW"."FECHAS_D"."mes" IS 'nombre del mes';
   COMMENT ON COLUMN "DW"."FECHAS_D"."anyo" IS 'año de la apuesta';
--------------------------------------------------------
--  DDL for Table GANADORA_D
--------------------------------------------------------

  CREATE TABLE "DW"."GANADORA_D" 
   (	"id_ganadora" NUMBER(*,0), 
	"desc_ganadora" CHAR(20 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."GANADORA_D"."id_ganadora" IS 'identificador de apuesta ganadora';
   COMMENT ON COLUMN "DW"."GANADORA_D"."desc_ganadora" IS 'descripción de ganadora';
--------------------------------------------------------
--  DDL for Table JORNADAS_D
--------------------------------------------------------

  CREATE TABLE "DW"."JORNADAS_D" 
   (	"id_jornada" NUMBER(*,0), 
	"fecha_jornada" DATE, 
	"id_temporada" NUMBER(*,0), 
	"nombre_temporada" CHAR(40 BYTE), 
	"id_liga" NUMBER(*,0), 
	"nombre_liga" CHAR(40 BYTE), 
	"id_euipo_local" NUMBER(*,0), 
	"nombre_equipo_local" CHAR(40 BYTE), 
	"id_equipo_visitante" NUMBER(*,0), 
	"nombre_equipo_visitante" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."JORNADAS_D"."id_jornada" IS 'identificador de la jornada de la apuesta';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."fecha_jornada" IS 'fecha de la jornada del partido de liga';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."id_temporada" IS 'identificador de la temporada de liga';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."nombre_temporada" IS 'nombre de la temporada';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."id_liga" IS 'identificador de la liga de fútbol';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."nombre_liga" IS 'nombre de la liga de fútbol';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."id_euipo_local" IS 'identificador del equipo local';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."nombre_equipo_local" IS 'nombre del equipo local';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."id_equipo_visitante" IS 'identificador del equipo visitante';
   COMMENT ON COLUMN "DW"."JORNADAS_D"."nombre_equipo_visitante" IS 'nombre del equipo visitante';
--------------------------------------------------------
--  DDL for Table PARAMETROS_D
--------------------------------------------------------

  CREATE TABLE "DW"."PARAMETROS_D" 
   (	"id_parametros" NUMBER(*,0), 
	"id_modalidad" NUMBER(*,0), 
	"modalidad" CHAR(40 BYTE), 
	"id_jugador" NUMBER(*,0), 
	"nombre_jugador" CHAR(40 BYTE), 
	"resultado_1_parte" CHAR(5 BYTE), 
	"resultado_final" CHAR(5 BYTE), 
	"id_partido" NUMBER(*,0), 
	"jornada_partido" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."PARAMETROS_D"."id_parametros" IS 'identificador de los parámetros de la apuesta';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."id_modalidad" IS 'identificador de la modalidad de la apuesta';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."modalidad" IS 'nombre de la modalidad de la apuesta';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."id_jugador" IS 'id del jugador que marca primero';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."nombre_jugador" IS 'nombre del jugador que marca primero';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."resultado_1_parte" IS 'resultado al final de la primera parte en formato 2-0';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."resultado_final" IS 'resultado al final del partido formato 2-3';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."id_partido" IS 'identificador del partido sobre el que se apuesta';
   COMMENT ON COLUMN "DW"."PARAMETROS_D"."jornada_partido" IS 'fecha en que se juega el partido';
--------------------------------------------------------
--  DDL for Table RANGOS_EDAD
--------------------------------------------------------

  CREATE TABLE "DW"."RANGOS_EDAD" 
   (	"id_rango" NUMBER(*,0), 
	"edad_desde" NUMBER(*,0), 
	"edad_hasta" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."RANGOS_EDAD"."id_rango" IS 'identificador del rango de edad';
   COMMENT ON COLUMN "DW"."RANGOS_EDAD"."edad_desde" IS 'edad de inicio del rango de edad';
   COMMENT ON COLUMN "DW"."RANGOS_EDAD"."edad_hasta" IS 'edad final del rango de edad';
--------------------------------------------------------
--  DDL for Table USUARIOS_D
--------------------------------------------------------

  CREATE TABLE "DW"."USUARIOS_D" 
   (	"id_usuario" NUMBER(*,0), 
	"nombre" CHAR(40 BYTE), 
	"id_localidad" NUMBER(*,0), 
	"nombre_localidad" CHAR(40 BYTE), 
	"id_provincia" NUMBER(*,0), 
	"nombre_provincia" CHAR(40 BYTE), 
	"id_c_autonoma" NUMBER(*,0), 
	"nombre_c_autonoma" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "DW"."USUARIOS_D"."nombre" IS 'Nombre del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."id_localidad" IS 'identificador de la localidad del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."nombre_localidad" IS 'nombre de la localidad del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."id_provincia" IS 'identificador de la provincia de la localidad del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."nombre_provincia" IS 'nombre de la provincia del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."id_c_autonoma" IS 'identificador de la comunidad autónoma del usuario';
   COMMENT ON COLUMN "DW"."USUARIOS_D"."nombre_c_autonoma" IS 'nombre de la comunidad autónoma del usuario';