--------------------------------------------------------
--  DDL for Table USUARIOS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."USUARIOS" 
   (	"ID_USUARIO" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE), 
	"LOCALIDAD" CHAR(40 BYTE), 
	"FECHA_NACIMIENTO" DATE
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."USUARIOS"."ID_USUARIO" IS 'identificador del usuario';
   COMMENT ON COLUMN "OPERATIONAL"."USUARIOS"."NOMBRE" IS 'nombre del usuario';
   COMMENT ON COLUMN "OPERATIONAL"."USUARIOS"."LOCALIDAD" IS 'localidad del usuario';
   COMMENT ON COLUMN "OPERATIONAL"."USUARIOS"."FECHA_NACIMIENTO" IS 'fecha de nacimiento del usuario';
   COMMENT ON TABLE "OPERATIONAL"."USUARIOS"  IS 'Tabla de usuarios de apuestas';
--------------------------------------------------------
--  DDL for Table TEMPORADAS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."TEMPORADAS" 
   (	"ID_TEMPORADA" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."TEMPORADAS"."ID_TEMPORADA" IS 'identificador de la temporada';
   COMMENT ON COLUMN "OPERATIONAL"."TEMPORADAS"."NOMBRE" IS 'nombre de la temporada';
   COMMENT ON TABLE "OPERATIONAL"."TEMPORADAS"  IS 'Tabla de temporadas';
--------------------------------------------------------
--  DDL for Table LIGAS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."LIGAS" 
   (	"ID_LIGA" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE), 
	"ID_PAIS" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."LIGAS"."ID_LIGA" IS 'identificador de la liga';
   COMMENT ON COLUMN "OPERATIONAL"."LIGAS"."NOMBRE" IS 'nombre de la liga';
   COMMENT ON COLUMN "OPERATIONAL"."LIGAS"."ID_PAIS" IS 'identificador del pais al que pertenece la liga';
   COMMENT ON TABLE "OPERATIONAL"."LIGAS"  IS 'Tabla de ligas de futbol';
--------------------------------------------------------
--  DDL for Table JUGADORES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."JUGADORES" 
   (	"ID_JUGADOR" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."JUGADORES"."ID_JUGADOR" IS 'identificador del jugador';
   COMMENT ON COLUMN "OPERATIONAL"."JUGADORES"."NOMBRE" IS 'nombre del jugador';
   COMMENT ON TABLE "OPERATIONAL"."JUGADORES"  IS 'Tabla de jugadores';
--------------------------------------------------------
--  DDL for Table GOLES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."GOLES" 
   (	"ID_GOL" NUMBER(*,0), 
	"ORDEN" NUMBER(*,0), 
	"ID_JUGADOR" NUMBER(*,0), 
	"ID_PARTIDO" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."GOLES"."ID_GOL" IS 'identificador del gol';
   COMMENT ON COLUMN "OPERATIONAL"."GOLES"."ORDEN" IS 'orden del gol en el partido (1,2,3,...)';
   COMMENT ON COLUMN "OPERATIONAL"."GOLES"."ID_JUGADOR" IS 'identificador del jugador que marca el gol';
   COMMENT ON COLUMN "OPERATIONAL"."GOLES"."ID_PARTIDO" IS 'identificador del partido en el que se marca el gol';
   COMMENT ON TABLE "OPERATIONAL"."GOLES"  IS 'Tabla de goles';
--------------------------------------------------------
--  DDL for Table FICHAJES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."FICHAJES" 
   (	"ID_FICHAJE" NUMBER(*,0), 
	"F_ALTA" DATE, 
	"F_BAJA" DATE, 
	"ID_JUGADOR" NUMBER(*,0), 
	"ID_EQUIPO" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."FICHAJES"."ID_FICHAJE" IS 'identificador del fichaje';
   COMMENT ON COLUMN "OPERATIONAL"."FICHAJES"."F_ALTA" IS 'fecha de alta del jugador en el equipo';
   COMMENT ON COLUMN "OPERATIONAL"."FICHAJES"."F_BAJA" IS 'fecha de baja del jugador en el equipo';
   COMMENT ON COLUMN "OPERATIONAL"."FICHAJES"."ID_JUGADOR" IS 'identificador del jugador';
   COMMENT ON COLUMN "OPERATIONAL"."FICHAJES"."ID_EQUIPO" IS 'identificador del equipo';
   COMMENT ON TABLE "OPERATIONAL"."FICHAJES"  IS 'Tabla de fichajes de jugadores por los equipos';
--------------------------------------------------------
--  DDL for Table EQUIPOS_LIGA
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."EQUIPOS_LIGA" 
   (	"ID_EQUIPO_LIGA" NUMBER(*,0), 
	"ID_EQUIPO" NUMBER(*,0), 
	"ID_LIGA" NUMBER(*,0), 
	"ID_TEMPORADA" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS_LIGA"."ID_EQUIPO_LIGA" IS 'identificador de equipo_liga';
   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS_LIGA"."ID_EQUIPO" IS 'identificador del equipo';
   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS_LIGA"."ID_LIGA" IS 'identificador de la liga';
   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS_LIGA"."ID_TEMPORADA" IS 'identificador de la temporada';
   COMMENT ON TABLE "OPERATIONAL"."EQUIPOS_LIGA"  IS 'Tabla de los equipos que forman parte de una liga';
--------------------------------------------------------
--  DDL for Table EQUIPOS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."EQUIPOS" 
   (	"ID_EQUIPO" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS"."ID_EQUIPO" IS 'identificador del equipo';
   COMMENT ON COLUMN "OPERATIONAL"."EQUIPOS"."NOMBRE" IS 'nombre del equipo';
   COMMENT ON TABLE "OPERATIONAL"."EQUIPOS"  IS 'Tabla de equipos';
--------------------------------------------------------
--  DDL for Table APUESTAS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."APUESTAS" 
   (	"ID_APUESTA" NUMBER(*,0), 
	"ID_USUARIO" NUMBER(*,0), 
	"ID_MODALIDAD" NUMBER(*,0), 
	"ID_PARTIDO" NUMBER(*,0), 
	"ID_JUGADOR" NUMBER(*,0), 
	"GOLES_LOCAL_1_PARTE" NUMBER(*,0) DEFAULT 0, 
	"GOLES_LOCAL_2_PARTE" NUMBER(*,0) DEFAULT 0, 
	"GOLES_VISITANTE_1_PARTE" NUMBER(*,0) DEFAULT 0, 
	"GOLES_VISITANTE_2_PARTE" NUMBER(*,0) DEFAULT 0, 
	"V_E_D" CHAR(1 BYTE) DEFAULT 'E', 
	"IMPORTE" FLOAT(126) DEFAULT 0
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."ID_APUESTA" IS 'identificador de la apuesta';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."ID_USUARIO" IS 'identificador del usuario de la apuesta';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."ID_MODALIDAD" IS 'identificador de la modalidad de la apuesta';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."ID_PARTIDO" IS 'identificador del jugador que marcará primero si la apuesta es de esta modalidad';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."GOLES_LOCAL_1_PARTE" IS 'goles que marcará el equipo local al final de la primera parte';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."GOLES_LOCAL_2_PARTE" IS 'goles que marcará el equipo local al final de la segunda parte';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."GOLES_VISITANTE_1_PARTE" IS 'goles que marcará el equipo visitante al final de la primera parte';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."GOLES_VISITANTE_2_PARTE" IS 'goles que marcará el equipo visitante al final de la segunda parte';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."V_E_D" IS 'V: victoria equipo local, E: empate, D: derrota equipo local';
   COMMENT ON COLUMN "OPERATIONAL"."APUESTAS"."IMPORTE" IS 'Importe de la apuesta';
   COMMENT ON TABLE "OPERATIONAL"."APUESTAS"  IS 'Tabla de apuestas deportivas';
--------------------------------------------------------
--  DDL for Table ALINEACIONES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."ALINEACIONES" 
   (	"ID_ALINEACION" NUMBER(*,0), 
	"ID_JUGADOR" NUMBER(*,0), 
	"ID_EQUIPO" NUMBER(*,0), 
	"ID_PARTIDO" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."ALINEACIONES"."ID_ALINEACION" IS 'identificador de la alineación';
   COMMENT ON COLUMN "OPERATIONAL"."ALINEACIONES"."ID_JUGADOR" IS 'identificador del jugador';
   COMMENT ON COLUMN "OPERATIONAL"."ALINEACIONES"."ID_EQUIPO" IS 'identificador del equipo';
   COMMENT ON COLUMN "OPERATIONAL"."ALINEACIONES"."ID_PARTIDO" IS 'identificador del partido';
   COMMENT ON TABLE "OPERATIONAL"."ALINEACIONES"  IS 'Tabla de alineaciones de los partidos';
--------------------------------------------------------
--  DDL for Table MODALIDADES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."MODALIDADES" 
   (	"ID_MODALIDAD" NUMBER(*,0), 
	"DESCRIPCION" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;
--------------------------------------------------------
--  DDL for Table PAISES
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."PAISES" 
   (	"ID_PAIS" NUMBER(*,0), 
	"NOMBRE" CHAR(40 BYTE)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."PAISES"."ID_PAIS" IS 'identificador del pais';
   COMMENT ON COLUMN "OPERATIONAL"."PAISES"."NOMBRE" IS 'nombre del pais';
   COMMENT ON TABLE "OPERATIONAL"."PAISES"  IS 'Tabla de paises';
--------------------------------------------------------
--  DDL for Table PARTIDOS
--------------------------------------------------------

  CREATE TABLE "OPERATIONAL"."PARTIDOS" 
   (	"ID_PARTIDO" NUMBER(*,0), 
	"JORNADA" DATE, 
	"ID_TEMPORADA" NUMBER(*,0), 
	"ID_LIGA" NUMBER(*,0), 
	"ID_EQUIPO_LOCAL" NUMBER(*,0), 
	"ID_EQUIPO_VISITANTE" NUMBER(*,0)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "SYSTEM" ;

   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."ID_PARTIDO" IS 'identificador del partido';
   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."JORNADA" IS 'fecha de la jornada de liga';
   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."ID_TEMPORADA" IS 'identificador de la temporada del partido';
   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."ID_LIGA" IS 'identificador de la liga del partido';
   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."ID_EQUIPO_LOCAL" IS 'identificador del equipo local';
   COMMENT ON COLUMN "OPERATIONAL"."PARTIDOS"."ID_EQUIPO_VISITANTE" IS 'identificador del equipo visitante';
   COMMENT ON TABLE "OPERATIONAL"."PARTIDOS"  IS 'Tabla de partidos';